Ver. 2.7.0 未満 からのアップデート

Ver. 2.7.0 未満からのアップデートでの注意点になります。

グローバルルールのコンフィグ設定の仕様が変更になりました。

仕様の違い

Ver. 2.7.0 未満 でのグローバルルールの仕様

  • グローバルルールに設定した場合は、子ブログでもグローバルルールが存在するブログのコンフィグを参照
  • 子ブログ毎にグローバルルールの設定はそれぞれ出来ない。

Ver. 2.7.0 以上 でのグローバルルールの仕様

  • グローバルルールを設定しても、ルールのみグローバルであってコンフィグはグローバル化しない。
  • グローバルルールの設定はそれぞれの子ブログで設定する必要がある。

解決方法

もし、Ver. 2.7.0 未満のバージョンでグローバルルールを使って、全ての子ブログに、グローバルルールがある ブログのコンフィグを利用している場合、バージョンアップすると、コンフィグが子ブログ毎になりうまく動作しません。 そこで、以下方法を行うと後方互換性を持たせる事が出来ます。

config.system.yaml に以下を追記

global_rule_config_load: global
  • global を設定すると Ver. 2.7.0 未満の仕様
  • each(デフォルト)を設定すると Ver. 2.7.0 以上の仕様